package com.sd.business.controller.bom;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.bom.dto.BomSpecDto;
import com.sd.business.entity.bom.dto.BomSpecSelectDto;
import com.sd.business.entity.bom.dto.BomSpecUpdateBoardDto;
import com.sd.business.entity.bom.dto.BomSpecUpdateBoardSortDto;
import com.sd.business.entity.bom.vo.BomSpecBoardSelectVo;
import com.sd.business.entity.bom.vo.BomSpecVo;
import com.sd.business.service.bom.BomSpecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * bom规格 前端控制器
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@RestController
@RequestMapping("/bomSpec")
public class BomSpecController {

    @Autowired
    private BomSpecService bomSpecService;

    /**
     * bom规格分页
     */
    @PostMapping("/page")
    public Page<BomSpecVo> page(@RequestBody BomSpecSelectDto dto) {
        return bomSpecService.getPage(dto);
    }

    /**
     * bom规格明细
     */
    @PostMapping("/detail")
    public BomSpecVo detail(@RequestBody BaseSelectDto dto) {
        return bomSpecService.detail(dto.getId());
    }

    /**
     * bom规格新增
     */
    @PostMapping("/add")
    public void add(@RequestBody BomSpecDto bomSpecDto) {
        bomSpecService.add(bomSpecDto);
    }

    /**
     * bom规格编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody BomSpecDto bomSpecDto) {
        bomSpecService.edit(bomSpecDto);
    }

    /**
     * bom规格删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        bomSpecService.delete(dto.getId());
    }

    /**
     * 修改配货看板
     * @param dto
     */
    @PostMapping("/editBoard")
    public void editBoard(@RequestBody BomSpecUpdateBoardDto dto) {
        bomSpecService.editBoard(dto);
    }

    /**
     * 获取配货看板
     * @param
     */
    @PostMapping("/getBoard")
    public List<BomSpecBoardSelectVo> getBoard() {
        return bomSpecService.getBoardList();
    }


    /**
     * 修改配货看板排序
     * @param dto
     */
    @PostMapping("/editBoardSort")
    public void editBoardSort(@Validated @RequestBody BomSpecUpdateBoardSortDto dto) {
        bomSpecService.editBoardSort(dto);
    }

}
