package com.sd.business.controller.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.order.dto.OrderExchangeDto;
import com.sd.business.entity.order.dto.OrderExchangeSelectDto;
import com.sd.business.entity.order.vo.OrderExchangeVo;
import com.sd.business.service.order.OrderExchangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 订单退换货 前端控制器
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
@RestController
@RequestMapping("/orderExchange")
public class OrderExchangeController {

    @Autowired
    private OrderExchangeService orderExchangeService;

    /**
     * 订单退换货分页
     */
    @PostMapping("/page")
    public Page<OrderExchangeVo> page(@RequestBody OrderExchangeSelectDto dto) {
        return orderExchangeService.getPage(dto);
    }

    /**
     * 订单退换货明细
     */
    @PostMapping("/detail")
    public OrderExchangeVo detail(@RequestBody BaseSelectDto dto) {
        return orderExchangeService.detail(dto.getId());
    }

    /**
     * 订单退换货新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody OrderExchangeDto orderExchangeDto) {
        orderExchangeService.add(orderExchangeDto);
    }

    // /**
    //  * 订单退换货删除
    //  */
    // @PostMapping("/delete")
    // public void delete(@RequestBody BaseSelectDto dto) {
    //     orderExchangeService.delete(dto.getId());
    // }

}
