package com.sd.business.controller.packaging;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.bom.vo.BomSpecVo;
import com.sd.business.entity.packaging.dto.PackagingAssemblyDto;
import com.sd.business.entity.packaging.dto.PackagingAssemblySelectDto;
import com.sd.business.entity.packaging.vo.PackagingAssemblyVo;
import com.sd.business.service.packaging.PackagingAssemblyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 包装组合 前端控制器
 * </p>
 *
 * @author
 * @since 2023-09-12
 */
@RestController
@RequestMapping("/packagingAssembly")
public class PackagingAssemblyController {
    @Autowired
    private PackagingAssemblyService packagingAssemblyService;

    /**
     * 包装组合分页
     */
    @PostMapping("/page")
    public Page<PackagingAssemblyVo> page(@RequestBody PackagingAssemblySelectDto dto) {
        return packagingAssemblyService.getPage(dto);
    }

    /**
     * 包装组合新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PackagingAssemblyDto packagingAssemblyDto) {
        packagingAssemblyService.add(packagingAssemblyDto);
    }

    /**
     * 包装组合编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PackagingAssemblyDto packagingAssemblyDto) {
        packagingAssemblyService.edit(packagingAssemblyDto);
    }

    /**
     * 包装组合删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        packagingAssemblyService.delete(dto.getId());
    }

    /**
     * 包装组合bom规格 列表
     */
    @PostMapping("/getPackagingBomList")
    public List<BomSpecVo> packagingBomList(@RequestBody BaseSelectDto dto) {
        return packagingAssemblyService.getPackagingBomSpecList(dto);
    }
}
