package com.sd.business.entity.inventory.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 库存列表查询入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class InventorySelectDto extends BaseSelectDto {

    /**
     * bom分类id
     */
    private Long bomClassifyId;

    /**
     * 品名
     */
    private String bomSpecName;

    /**
     * 品号
     */
    private String bomSpecCode;

    /**
     * 种类 字典:bom_species
     */
    private String bomSpecies;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String bomChromatophore;

    /**
     * 压纹工艺 字典:bom_embossingProcess
     */
    private String bomEmbossingProcess;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    private String bomFrontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    private String bomReverseGrain;

    /**
     * 颜色
     */
    private String bomSpecColour;

    /**
     * 长 cm
     */
    private BigDecimal bomSpecLength;

    /**
     * 宽 cm
     */
    private BigDecimal bomSpecWidth;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 备份日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date backupDate;

}
