package com.sd.business.entity.order.dto;

import com.fjhx.file.entity.ObsFile;
import com.sd.business.entity.order.po.OrderExchange;
import com.sd.business.entity.order.po.OrderExchangeDetail;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 订单退换货新增编辑入参实体
 *
 * @author
 * @since 2023-09-14
 */
@Getter
@Setter
public class OrderExchangeDto extends OrderExchange {

    /**
     * 商品订单
     */
    @NotEmpty(message = "订单商品不能为空")
    @Valid
    private List<OrderExchangeDetail> orderExchangeDetailList;

    /**
     * 商品图片
     */
    private List<ObsFile> fileList;

}
