package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 订单退换货
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
@Getter
@Setter
@TableName("order_exchange")
public class OrderExchange extends BasePo {

    /**
     * 订单id
     */
    @NotNull(message = "订单id不能为空")
    private Long orderInfoId;

    /**
     * 仓库id
     */
    @NotNull(message = "仓库id不能为空")
    private Long warehouseId;

    /**
     * 类型 1退货 2换货
     */
    @NotNull(message = "退换货类型不能为空")
    private Integer type;

    /**
     * 退换货原因
     */
    @NotBlank(message = "售后原因不能为空")
    private String reason;

    /**
     * 退换货备注
     */
    private String remark;

    /**
     * 收货人
     */
    private String consignee;

    /**
     * 收货人电话
     */
    private String consigneeNumber;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 县
     */
    private String county;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 邮编
     */
    private String postcode;

}
