package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 订单退换货明细
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
@Getter
@Setter
@TableName("order_exchange_detail")
public class OrderExchangeDetail extends BasePo {

    /**
     * 订单退换货id
     */
    private Long orderExchangeId;

    /**
     * 订单明细id
     */
    @NotNull(message = "订单sku id不能为空")
    private Long orderSkuId;

    /**
     * 退换货数量
     */
    @NotNull(message = "退换货数量不能为空")
    private BigDecimal quantity;

    /**
     * 退货状态
     */
    private Integer returnStatus;

    /**
     * 换货状态
     */
    private Integer exchangeStatus;

}
