package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderInfo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 订单列表查询返回值实体
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
public class OrderInfoVo extends OrderInfo {

    /**
     * 异常明细
     */
    private String exceptionTypeDetail;

    /**
     * 事业部
     */
    private String departmentName;

    /**
     * 订单商品
     */
    private List<OrderSkuVo> orderSkuList;

    /**
     * 订单包装bom列表
     */
    private List<OrderInfoVo.OrderPackage> orderPackageBomList;

    @Getter
    @Setter
    public static class OrderPackage {

        /**
         * bom规格id
         */
        private Long bomSpecId;

        /**
         * bom规格编号
         */
        private String code;

        /**
         * bom规格名称
         */
        private String name;

        /**
         * 数量
         */
        private BigDecimal quantity;

        /**
         * 成本价
         */
        private BigDecimal costPrice;

        /**
         * 对内销售价(含税)
         */
        private BigDecimal internalSellingPrice;
    }

}
