package com.sd.business.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.PurchaseBom;
import com.sd.business.entity.purchase.vo.PurchaseBomInfoVo;
import com.sd.business.entity.purchase.vo.PurchaseBomSelectVo;
import com.sd.business.entity.purchase.vo.PurchaseBomVo;
import com.sd.business.entity.purchase.vo.PurchaseInTransitBomVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
 * <p>
 * 采购合同bom Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-08-07
 */
public interface PurchaseBomMapper extends BaseMapper<PurchaseBom> {

    /**
     * 采购合同bom分页
     */
    Page<PurchaseBomVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PurchaseBom> wrapper);

    /**
     * 采购在途物料bom分页
     */
    Page<PurchaseInTransitBomVo> getPurchaseInTransitBomPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PurchaseInTransitBomVo> wrapper);


    /**
     * 查询采购 bom 分页
     * @param wrapper
     * @return
     */
    Page<PurchaseBomSelectVo> getPurchaseBomPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PurchaseBom> wrapper);

    /**
     * 查询采购bom和bom规格详情
     * @param wrapper
     * @return
     */
    List<PurchaseBomInfoVo> getPurchaseBomInfoList(@Param("ew") IWrapper<PurchaseBom> wrapper);

    /**
     * 获取在途总数
     * @param wrapper
     * @return
     */
    BigDecimal getPurchaseBomInTransitSum(@Param("ew") IWrapper<PurchaseBom> wrapper);

    /**
     * 获取采购bom的到货时间
     * @param wrapper
     * @return
     */
    Date getPurchaseBomDeliveryDate(@Param("ew") IWrapper<PurchaseBom> wrapper);
}
