package com.sd.business.service.bom;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.dto.BomSpecDto;
import com.sd.business.entity.bom.dto.BomSpecSelectDto;
import com.sd.business.entity.bom.dto.BomSpecUpdateBoardDto;
import com.sd.business.entity.bom.dto.BomSpecUpdateBoardSortDto;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.entity.bom.vo.BomSpecBoardSelectVo;
import com.sd.business.entity.bom.vo.BomSpecVo;

import java.util.List;


/**
 * <p>
 * bom规格 服务类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface BomSpecService extends BaseService<BomSpec> {

    /**
     * bom规格分页
     */
    Page<BomSpecVo> getPage(BomSpecSelectDto dto);

    /**
     * bom规格明细
     */
    BomSpecVo detail(Long id);

    /**
     * bom规格新增
     */
    void add(BomSpecDto bomSpecDto);

    /**
     * bom规格编辑
     */
    void edit(BomSpecDto bomSpecDto);

    /**
     * bom规格删除
     */
    void delete(Long id);

    /**
     * 修改配货看板
     * @param dto
     */
    void editBoard(BomSpecUpdateBoardDto dto);

    /**
     * 获取配货看板
     * @return
     */
    List<BomSpecBoardSelectVo> getBoardList();

    /**
     * 修改配货看板排序
     * @param dto
     */
    void editBoardSort(BomSpecUpdateBoardSortDto dto);
}
