package com.sd.business.service.order.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.BasePo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.system.utils.UserUtil;
import com.sd.business.entity.order.dto.OrderOperatingLogSelectDto;
import com.sd.business.entity.order.po.OrderOperatingLog;
import com.sd.business.entity.order.vo.OrderOperatingLogVo;
import com.sd.business.mapper.order.OrderOperatingLogMapper;
import com.sd.business.service.order.OrderOperatingLogService;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 订单操作日志 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-11
 */
@Service
public class OrderOperatingLogServiceImpl extends ServiceImpl<OrderOperatingLogMapper, OrderOperatingLog> implements OrderOperatingLogService {

    @Override
    public Page<OrderOperatingLogVo> getPage(OrderOperatingLogSelectDto dto) {
        IWrapper<OrderOperatingLog> wrapper = getWrapper();
        wrapper.orderByDesc("ool", OrderOperatingLog::getId);
        wrapper.eq("ool", OrderOperatingLog::getOrderId, dto.getId());
        Page<OrderOperatingLogVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        List<OrderOperatingLogVo> records = page.getRecords();
        if (records.size() == 0) {
            return page;
        }

        UserUtil.assignmentNickName(records, BasePo::getCreateUser, OrderOperatingLogVo::setUserName);
        return page;
    }

}
