package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchaseBoardSelectDto;
import com.sd.business.entity.purchase.dto.PurchaseBomSelectDto;
import com.sd.business.entity.purchase.dto.PurchaseInTransitBomSelectDto;
import com.sd.business.entity.purchase.po.PurchaseBom;
import com.sd.business.entity.purchase.vo.PurchaseBomBoardVo;
import com.sd.business.entity.purchase.vo.PurchaseBomSelectVo;
import com.sd.business.entity.purchase.vo.PurchaseBomVo;
import com.sd.business.entity.purchase.vo.PurchaseInTransitBomVo;


/**
 * <p>
 * 采购合同bom 服务类
 * </p>
 *
 * @author
 * @since 2023-08-07
 */
public interface PurchaseBomService extends BaseService<PurchaseBom> {

    /**
     * 采购合同bom分页
     */
    Page<PurchaseBomSelectVo> getPage(PurchaseBomSelectDto dto);

    /**
     * 采购合同bom明细
     */
    PurchaseBomVo detail(Long id);

    /**
     * 采购合同bom删除
     */
    void delete(Long id);

    /**
     * 采购在途物料bom分页
     * @param dto
     * @return
     */
    Page<PurchaseInTransitBomVo> getPurchaseInTransitBomPage(PurchaseInTransitBomSelectDto dto);

    /**
     * 采购看板 分页
     * @param dto
     * @return
     */
    Page<PurchaseBomBoardVo> getPurchaseBoardPage(PurchaseBoardSelectDto dto);
}
