import com.alibaba.fastjson2.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.ruoyi.common.exception.ServiceException;
import com.sd.SdApplication;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.production.dto.StockPreparationDto;
import com.sd.business.entity.production.vo.UncompletedVo;
import com.sd.business.service.order.OrderService;
import com.sd.business.service.production.StockPreparationService;
import com.sd.wln.service.WlnStatementOfAccount;
import com.sd.wln.util.WlnUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = SdApplication.class, webEnvironment = SpringBootTest.WebEnvironment.DEFINED_PORT)
public class TestList {

    @Autowired
    private StockPreparationService stockPreparationService;

    @Autowired
    private WlnStatementOfAccount wlnStatementOfAccount;

    @Autowired
    private OrderService orderService;

    @DSTransactional
    @Test
    public void test2() {
        wlnStatementOfAccount.createStatementOfAccount();
    }

    @Test
    public void test() {
        StockPreparationDto stockPreparationDto = new StockPreparationDto();
        stockPreparationDto.setDepartmentId(1689164627162529793L);
        List<UncompletedVo> uncompletedVos = stockPreparationService.uncompletedList(stockPreparationDto);
        System.out.println();


        String sql = "update in_out_storage_details i INNER JOIN in_out_storage_bom iosb on i.bom_spec_id = iosb.bom_spec_id\n" +
                "set i.quantity = i.quantity + iosb.quantity";


        String sql2 = "SELECT DISTINCT\n" +
                "\twln_code \n" +
                "FROM\n" +
                "\torder_info oi\n" +
                "\tLEFT JOIN order_sku os ON oi.id = os.order_id \n" +
                "WHERE\n" +
                "\toi.department_id = 1689164627162529793\n" +
                "\tand os.blueprint is null\n" +
                "\tand os.production_document is null";

        String sql3 = "UPDATE order_sku os\n" +
                "INNER JOIN sku_spec ss ON os.sku_spec_id = ss.id \n" +
                "SET os.blueprint = ss.design_img_url,\n" +
                "os.production_document = ss.shared_folder";

    }

    @Test
    public void a() {
        String warehouseCode = "B014";

        long endTime = new Date().getTime();
        long startTime;

        OrderInfo orderInfo = orderService.getOne(q -> q
                .eq(OrderInfo::getWlnStorageCode, warehouseCode)
                .orderByDesc(OrderInfo::getWlnModifyTimestamp));

        List<JSONObject> list = new ArrayList<>();
        startTime = endTime - 1000 * 60 * 60 * 24 * 7;
        getOrderList(startTime, endTime, warehouseCode, list);

        System.out.println(list);
    }

    private void getOrderList(Long startTime, Long endTime, String warehouseCode, List<JSONObject> list) {
        int page = 0;
        int size;
        do {
            try {
                List<JSONObject> itemList = WlnUtil.getOrderList(page, 200, startTime, endTime, warehouseCode);
                page++;
                size = itemList.size();
                list.addAll(itemList);
            } catch (Exception e) {
                throw new ServiceException("订单同步失败");
            }
        } while (size >= 200);
    }

}
